From c10715dbd0528990b3ea7a0634e1b8277f2b5e2c Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 10:55:34 -0700
Subject: Fix the method RRD.fetch, broken in 0.1.0

Origin: upstream, http://bazaar.launchpad.net/~oubiwann/pyrrd/trunk/revision/158
Bug: https://code.google.com/p/pyrrd/issues/detail?id=26
Patch-Name: backported_fix_for_fetch.diff
---
 pyrrd/backend/external.py | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/pyrrd/backend/external.py b/pyrrd/backend/external.py
index 09da5c3..5023ca5 100644
--- a/pyrrd/backend/external.py
+++ b/pyrrd/backend/external.py
@@ -264,7 +264,7 @@ def prepareObject(function, obj):
         data += [unicode(x) for x in obj.rra]
         return (obj.filename, params + data)
 
-    if function == 'update':
+    elif function == 'update':
         validParams = ['template']
         params = common.buildParameters(obj, validParams)
         FIRST_VALUE = 0
@@ -277,15 +277,15 @@ def prepareObject(function, obj):
             data = [data for data, nil in obj.values]
         return (obj.filename, params + data)
 
-    if function == 'fetch':
+    elif function == 'fetch':
         validParams = ['resolution', 'start', 'end']
         params = common.buildParameters(obj, validParams)
-        return (obj.filename, obj.cf, params)
+        return (obj.filename, [obj.cf] + params)
 
-    if function == 'info':
+    elif function == 'info':
         return (obj.filename, obj)
 
-    if function == 'graph':
+    elif function == 'graph':
         validParams = ['start', 'end', 'step', 'title',
             'vertical_label', 'width', 'height', 'only_graph',
             'upper_limit', 'lower_limit', 'rigid', 'alt_autoscale',
